> # NAME

> texCUBE - performs a texture lookup in a given CUBE sampler and, in some cases, a shadow comparison. May also use pre computed derivatives if those are provided.

> # SYNOPSIS

>       float4 texCUBE(samplerCUBE samp, float3 s)
>       float4 texCUBE(samplerCUBE samp, float4 s)

>       float4 texCUBE(samplerCUBE samp, float3 s, float3 dx, float3 dy)
>       float4 texCUBE(samplerCUBE samp, float4 s, float3 dx, float3 dy)

>       int4 texCUBE(isamplerCUBE samp, float3 s)

>       int4 texCUBE(isamplerCUBE samp, float3 s, float3 dx, float3 dy)

>       unsigned int4 texCUBE(usamplerCUBE samp, float3 s)

>       unsigned int4 texCUBE(usamplerCUBE samp, float3 s, float3 dx, float3 dy)

> # PARAMETERS

> samp

>   Sampler to lookup.

> s

>   Coordinates to perform the lookup. If an extra coordinate compared to the texture dimensionality is present it is used to perform a shadow comparison. The value used in the shadow comparison is always the last component of the coordinate vector.

> dx

>   Pre computed derivative along the x axis.

> dy

>   Pre computed derivative along the y axis.

> # DESCRIPTION

> Performs a texture lookup in sampler samp using coordinates s, may use and derivatives dx and dy, also may perform shadow comparison.

> # PROFILE SUPPORT

> texCUBE is supported in all fragment profiles and all vertex profiles starting with vp40, variants with shadow comparison are only supported in gp4 and newer profiles. Variants with integer samplers are also only suppported in gp4 and newer profiles.

> # SEE ALSO

> texCUBEbias, texCUBElod, texCUBEproj